Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynchronous.concurrent
Class AsynchronousTaskImpl

    java.lang.Object
      org.jboss.aspects.asynchronous.concurrent.AsynchronousTaskImpl

All Implemented Interfaces:
  AsynchronousConstants, AsynchronousTask, AsynchronousTask

public final class AsynchronousTaskImpl
extends Object
implements AsynchronousConstants, AsynchronousTask

Version:
  `$Revision: 1.3.4.4 $`
Author:
  {Claude Hussenet Independent Consultant}.

Field Summary

Fields inherited from interface org.jboss.aspects.asynchronous.AsynchronousConstants
`CAN_NOT_PROCESS, EXCEPTIONCAUGHT, INTERRUPTED, INVOCATION, NOVALUE, OK, TIMEOUT, UNKNOWN`

Method Summary
`Runnable` | `add()`
`long` | `getEndingTime()`
`String` | `getId()`
`AsynchronousParameters` | `getInputParameters()`
`ThreadManagerResponse` | `getResponse()`
`long` | `getStartingTime()`
`AsynchronousUserTask` | `getTask()`
`long` | `getTimeout()`
`boolean` | `isDone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInputParameters

    public AsynchronousParameters getInputParameters()

  Specified by:
    `getInputParameters` in interface `AsynchronousTask`

### getTimeout

    public long getTimeout()

  Specified by:
    `getTimeout` in interface `AsynchronousTask`

### getTask

    public AsynchronousUserTask getTask()

  Specified by:
    `getTask` in interface `AsynchronousTask`

### getResponse

    public ThreadManagerResponse getResponse()

  Specified by:
    `getResponse` in interface `AsynchronousTask`

### getStartingTime

    public long getStartingTime()

  Specified by:
    `getStartingTime` in interface `AsynchronousTask`

### getEndingTime

    public long getEndingTime()

  Specified by:
    `getEndingTime` in interface `AsynchronousTask`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `AsynchronousTask`

### add

    public Runnable add()
                 throws Exception

  Specified by:
    `add` in interface `AsynchronousTask`
  Throws:
    `Exception`

### getId

    public String getId()

  Specified by:
    `getId` in interface `AsynchronousTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.